Skip to content
LydieDevelopers
Menu

List backlinks to a block

View as Markdown
GET/v1/documents/{id}/blocks/{blockId}/backlinks

Lists live documents that link to one block ([[Note#^blockId]]) of this document.

docs:readRead-only
Request
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/blocks/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/backlinks" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

Response

200
{
  "backlinks": [
    {
      "source": {
        "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "title": "Meeting notes",
        "parentId": null,
        "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA"
      },
      "kind": "link",
      "syntax": "wikilink",
      "targetRef": "string",
      "sourceBlockId": null,
      "targetHeading": null,
      "targetBlockId": null,
      "sourceProperty": null
    }
  ]
}

Errors use one envelope for every endpoint. See Errors and versions.